Loading...
Searching...
No Matches
MyEventHandler Class Reference

This is so user can trap events and do useful stuff. More...

`#include <MyEventHandler.hpp>`

Inheritance diagram for MyEventHandler:
[legend]
Collaboration diagram for MyEventHandler:
[legend]

## Public Member Functions

Overrides
virtual int | event (Event whichEvent)
| This can do whatever it likes.
Constructors, destructor etc
| MyEventHandler ()
| Default constructor.
| MyEventHandler (ClpSimplex *model)
| Constructor with pointer to model (redundant as setEventHandler does).
virtual | ~MyEventHandler ()
| Destructor.
| MyEventHandler (const MyEventHandler &rhs)
| The copy constructor.
MyEventHandler & | operator= (const MyEventHandler &rhs)
| Assignment.
virtual ClpEventHandler * | clone () const
| Clone.
Public Member Functions inherited from ClpEventHandler
virtual int | eventWithInfo (Event whichEvent, void *info)
| This can do whatever it likes.
| ClpEventHandler (ClpSimplex *model=NULL)
| Default constructor.
virtual | ~ClpEventHandler ()
| Destructor.
| ClpEventHandler (const ClpEventHandler &)
ClpEventHandler & | operator= (const ClpEventHandler &)
void | setSimplex (ClpSimplex *model)
| set model.
ClpSimplex * | simplex () const
| Get model.

## Additional Inherited Members

Public Types inherited from ClpEventHandler

enum

Event {
endOfIteration = 100 , endOfFactorization , endOfValuesPass , node ,
treeStatus , solution , theta , pivotRow ,
presolveStart , presolveSize , presolveInfeasible , presolveBeforeSolve ,
presolveAfterFirstSolve , presolveAfterSolve , presolveEnd , goodFactorization ,
complicatedPivotIn , noCandidateInPrimal , looksEndInPrimal , endInPrimal ,
beforeStatusOfProblemInPrimal , startOfStatusOfProblemInPrimal , complicatedPivotOut , noCandidateInDual ,
looksEndInDual , endInDual , beforeStatusOfProblemInDual , startOfStatusOfProblemInDual ,
startOfIterationInDual , updateDualsInDual , beforeDeleteRim , endOfCreateRim ,
slightlyInfeasible , modifyMatrixInMiniPresolve , moreMiniPresolve , modifyMatrixInMiniPostsolve ,
beforeChooseIncoming , afterChooseIncoming , beforeCreateNonLinear , afterCreateNonLinear ,
startOfCrossover , noTheta
}

| enums for what sort of event. More...
Protected Attributes inherited from ClpEventHandler
ClpSimplex * | model_
| Pointer to simplex.

## Detailed Description

This is so user can trap events and do useful stuff.

This is used in Clp/Test/unitTest.cpp

ClpSimplex model_ is available as well as anything else you care to pass in

Definition at line 18 of file MyEventHandler.hpp.

## Constructor & Destructor Documentation

## MyEventHandler() [1/3]

MyEventHandler::MyEventHandler | ( |  | ) |

Default constructor.

## MyEventHandler() [2/3]

MyEventHandler::MyEventHandler | ( | ClpSimplex * | model | ) |

Constructor with pointer to model (redundant as setEventHandler does).

## ~MyEventHandler()

virtual MyEventHandler::~MyEventHandler | ( |  | ) |

virtual

Destructor.

## MyEventHandler() [3/3]

MyEventHandler::MyEventHandler | ( | const MyEventHandler & | rhs | ) |

The copy constructor.

## Member Function Documentation

## event()

virtual int MyEventHandler::event | ( | Event | whichEvent | ) |

virtual

This can do whatever it likes.

If return code -1 then carries on if 0 sets ClpModel::status() to 5 (stopped by event) and will return to user. At present if <-1 carries on and if >0 acts as if 0 - this may change. For ClpSolve 2 -> too big return status of -2 and -> too small 3

Reimplemented from ClpEventHandler.

## operator=()

MyEventHandler & MyEventHandler::operator= | ( | const MyEventHandler & | rhs | ) |

Assignment.

## clone()

virtual ClpEventHandler * MyEventHandler::clone | ( |  | ) | const

virtual

Clone.

Reimplemented from ClpEventHandler.

The documentation for this class was generated from the following file:

- Clp/src/MyEventHandler.hpp